import Vue from 'vue'
import Vuex from 'vuex'
import auth from './modules/auth'
import shows from './modules/shows'
import files from './modules/files'
import playlists from './modules/playlists'

Vue.use(Vuex)

const debug = process.env.NODE_ENV !== 'production'

const state = {
  fileManagerMode: 'files',
}

const getters = {
  fileManagerMode: state => state.fileManagerMode
}

const actions = {
}

const mutations = {
  setFileManagerMode (state, mode) {
    state.fileManagerMode = mode
  }
}

export default new Vuex.Store({
  strict: debug,
  modules: {
    auth,
    shows,
    files,
    playlists,
  },
  state,
  getters,
  actions,
  mutations,
})
